@PACKAGE_INIT@
set(target_name tbplas)
include("${CMAKE_CURRENT_LIST_DIR}/${target_name}Targets.cmake")
set(WITH_OPENMP @WITH_OPENMP@ CACHE BOOL "Include OpenMP support")
set(WITH_MPI @WITH_MPI@ CACHE BOOL "Include MPI support")
set(WITH_CUDA @WITH_CUDA@ CACHE BOOL "Include NVidia CUDA support")
set(WITH_FEAST @WITH_FEAST@ CACHE BOOL "Include FEAST eigenvalue solver support")
set(EIGEN_BACKEND "@EIGEN_BACKEND@" CACHE STRING "Include Mathematical library support for EIGEN backend")
set(DIAG_BACKEND "@DIAG_BACKEND@" CACHE STRING "Include Mathematical library support for DIAG backend")
set(TBPM_BACKEND "@TBPM_BACKEND@" CACHE STRING "Include Mathematical library support for TBPM backend")
set(TBPLAS_USE_INTEL @TBPLAS_USE_INTEL@ CACHE BOOL "Intel compiler")
set(TBPLAS_USE_CLANG @TBPLAS_USE_CLANG@ CACHE BOOL "CLANG compiler")
set(TBPLAS_USE_GCC @TBPLAS_USE_GCC@ CACHE BOOL "GCC compiler")
set(WITH_HDF5 @WITH_HDF5@ CACHE BOOL "Include HDF5 support")
target_include_directories(${target_name} INTERFACE "@CMAKE_INSTALL_PREFIX@/include" "@CMAKE_INSTALL_PREFIX@/3rdparty")
if(WITH_OPENMP)
  include("${CMAKE_CURRENT_LIST_DIR}/TBPLASDetectOpenMP.cmake")
endif(WITH_OPENMP)
if(WITH_MPI)
  include("${CMAKE_CURRENT_LIST_DIR}/TBPLASDetectMPI.cmake")
endif(WITH_MPI)  
if(WITH_CUDA)
  set(CUDA_ARCHITECTURES "@CUDA_ARCHITECTURES@" CACHE STRING "the ​compute capability of a NVIDIA GPU generation")
  if(WIN32)
    #https://quasar.ugent.be/files/doc/cuda-msvc-compatibility.html
    #In Windows, the NVIDIA CUDA compiler nvcc uses a Visual C/C++ compiler behind the scenes.
    message(STATUS "Using MSVC runtime library to compile CUDA")
    set(CUDA_NVCC_FLAGS " ${CUDA_NVCC_FLAGS} -Xcompiler=/MD$<$<CONFIG:Debug>:d>")
  endif(WIN32)
  include("${CMAKE_CURRENT_LIST_DIR}/TBPLASDetectCUDA.cmake")
endif(WITH_CUDA)
if(WITH_HDF5)
  set(HDF5_DIR "@HDF5_DIR@" CACHE PATH "HDF5_DIR")
  include("${CMAKE_CURRENT_LIST_DIR}/TBPLASDetectHDF5.cmake")
endif()
if(NOT "@cblas_DIR@" STREQUAL "")
  set(cblas_DIR "@cblas_DIR@" CACHE PATH "cblas_DIR")
endif()
if(NOT "@lapacke_DIR@" STREQUAL "")
  set(lapacke_DIR "@lapacke_DIR@" CACHE PATH "lapacke_DIR")
endif()
if(NOT "@MKL_DIR@" STREQUAL "")
  set(MKL_DIR "@MKL_DIR@" CACHE PATH "MKL_DIR")
endif()
if(WITH_FEAST)
  set(FEASTROOT "@FEAST_ROOT@" CACHE PATH "FEASTROOT")
  set(ENV{FEASTROOT} "@FEAST_ROOT@")
  if(NOT DEFINED CMAKE_PREFIX_PATH)
    set(CMAKE_PREFIX_PATH "")  
  endif()
  list(APPEND CMAKE_PREFIX_PATH "@FEAST_ROOT@")
endif(WITH_FEAST)
if(NOT "@AOCL_ROOT@" STREQUAL "")
  set(AOCL_ROOT "@AOCL_ROOT@" CACHE PATH "AOCL_ROOT")
  set(ENV{AOCL_ROOT} "@AOCL_ROOT@")
  if(NOT DEFINED CMAKE_PREFIX_PATH)
    set(CMAKE_PREFIX_PATH "")
  endif()
  list(APPEND CMAKE_PREFIX_PATH "@AOCL_ROOT@")
endif()
if(NOT "@OpenBLAS_DIR@" STREQUAL "")
  set(OpenBLAS_DIR "@OpenBLAS_DIR@" CACHE PATH "OpenBLAS_DIR")
endif()
include("${CMAKE_CURRENT_LIST_DIR}/TBPLASMathLib.cmake")
check_required_components(${target_name})
